%define xmms_generaldir %(xmms-config --general-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/General)

Summary: X MultiMedia System control plugin to use infrared devices
Name: xmms-lirc
Version: 1.4
Release: 23%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://www.lirc.org/
Source: http://dl.sf.net/lirc/lirc-xmms-plugin-%{version}.tar.bz2
Requires: xmms
BuildRequires: xmms-devel
BuildRequires: lirc-devel
BuildRequires: gtk2-devel

%description
LIRC (Linux Infrared Remote Control) plugin for XMMS (X Multimedia System).


%prep
%setup -q -n lirc-xmms-plugin-%{version}

# Prevent configure from overriding CFLAGS
sed -i -e '/^CFLAGS="-O2 -g -Wall"/d' configure*
touch -r aclocal.m4 configure*

%build
%configure --libdir=%{xmms_generaldir}
%{__make} %{?_smp_mflags}


%install
%{__make} install DESTDIR=%{buildroot}


%files
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%exclude %{xmms_generaldir}/liblirc.la
%{xmms_generaldir}/liblirc.so


%changelog
* Thu Jul 02 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.4-23
- Add dist-tag (RHBZ #1237202).
- Honour CFLAGS (Fix FTBFS).
- Modernize spec.
- Add %%license.

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4-12
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 1.4-11
- Rebuild for new BuildID feature.

* Fri Aug  3 2007 Matthias Saou <http://freshrpms.net/> 1.4-10
- Update License field.
- Remove dist tag, since the package will seldom change.
- Switch to using the DESTDIR install method.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 1.4-9
- FC6 rebuild.

* Wed May 31 2006 Matthias Saou <http://freshrpms.net/> 1.4-8
- Add explicit xmms requirement (#193599).

* Mon Feb 13 2006 Matthias Saou <http://freshrpms.net/> 1.4-7
- Rebuild for new gcc/glibc.
- Spec file cleanup.
- Override CFLAGS to have ours used.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.4-6
- rebuild on all arches

* Wed Mar 30 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.4-5
- BuildRequire lirc-devel.

* Thu Jan 13 2005 Matthias Saou <http://freshrpms.net/> 1.4-4
- Bump release for upgrade path.

* Wed May 19 2004 Matthias Saou <http://freshrpms.net/> 1.4-3
- Rebuilt for Fedora Core 2.

* Wed Jan  7 2004 Matthias Saou <http://freshrpms.net/> 1.4-2
- Rebuilt for Fedora Core 1.

* Wed May 14 2003 Matthias Saou <http://freshrpms.net/>
- Update to 1.4.

* Mon Mar 31 2003 Matthias Saou <http://freshrpms.net/>
- Update to 1.3.
- Rebuilt for Red Hat Linux 9.
- Exclude .la file.

* Wed Oct  9 2002 Matthias Saou <http://freshrpms.net/>
- Rebuilt for Red Hat Linux 8.0.

* Fri May  3 2002 Matthias Saou <http://freshrpms.net/>
- Changed the xmms General dir to be expanded from xmms-config (cleaner).
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Fri Oct  5 2001 Matthias Saou <http://freshrpms.net/>
- Initial RPM release.

